<?php

if(!defined('_PS_VERSION_')
	OR !defined('_CAN_LOAD_FILES_')
)
{
	exit;
}

class ecm_multifeatures extends Module
{
	protected $_errors = false;

	public
	function __construct()
	{
		$this->name = 'ecm_multifeatures';
		$this->tab = 'administration';
		$this->version = 0.2;
		$this->author = 'Elcommerce';
		$this->ps_versions_compliancy = array('min'=> '1.5','max'=> '1.5.10');
		$this->need_instance = 0;

		parent::__construct();

		$this->displayName = $this->l('multifeatures');
		$this->description = $this->l('Add some value to feature');
	}

	public
	function install()
	{

		$table = _DB_PREFIX_."feature_product";
		$sql = "ALTER TABLE $table DROP PRIMARY KEY, ADD PRIMARY KEY(`id_feature`, `id_product`, `id_feature_value`)";

		if(!parent::install()
			OR !Db::getInstance()->Execute($sql)
			OR !$this->override_file()
		){
			return FALSE;
		}
		return TRUE;
	}

	public
	function uninstall()
	{
		if(!parent::uninstall()
			OR !$this->unlink_file()
		){
			return FALSE;
		}
		return TRUE;
	}


	public
	function unlink_file(){
		@unlink(_PS_ROOT_DIR_."/override/classes/Product.php");
		@unlink(_PS_ROOT_DIR_."/override/controllers/AdminProductsController.php");
		@unlink(_PS_ROOT_DIR_."/override/controllers/admin/templates/products/features.tpl");
		@unlink(_PS_ROOT_DIR_."/cache/class_index.php");
		return TRUE;
	}

	public
	function override_file()
	{
		$dir = _PS_ROOT_DIR_."/override/controllers/admin/templates/products";
		if(!file_exists($dir) && !is_dir($dir)) @mkdir($dir, 0777, true);
		$dir = _PS_ROOT_DIR_."/override/classes";
		if(!file_exists($dir) && !is_dir($dir)) @mkdir($dir, 0777, true);

		$src = dirname(__FILE__)."/_override/controllers/admin/templates/products/features.tpl";
		$dst =      _PS_ROOT_DIR_."/override/controllers/admin/templates/products/features.tpl";
		@copy($src, $dst);

		$src = dirname(__FILE__)."/_override/controllers/AdminProductsController.php";
		$dst =      _PS_ROOT_DIR_."/override/controllers/AdminProductsController.php";
		@copy($src, $dst);

		$src = dirname(__FILE__)."/_override/classes/Product.php";
		$dst = 	    _PS_ROOT_DIR_."/override/classes/Product.php";
		@copy($src, $dst);

		@unlink(_PS_ROOT_DIR_."/cache/class_index.php");
		return TRUE;
	}
}
